# AbstractView : Object
Return to: HTML DOM Level 2 index

Base interface that all views derive from.

## Platform Support

IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | ---
6.0+ | 1.0+ | 6.0+ | 8.0+ | 1.0+

## Constructors

Constructor | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
AbstractView Constructor() : AbstractView Base interface that all views derive from. | Show Details | 6.0+ | 1.0+ | 6.0+ | 8.0+ | 1.0+

### AbstractView() : AbstractView

Base interface that all views derive from.

Returns

AbstractView |

Visibility
  internal

## Properties

Property | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
document : DocumentView Implements the DocumentView interface. | Show Details | 6.0+ | 1.0+ | 6.0+ | 8.0+ | 1.0+

Remarks
  Refers to the parent, or source `DocumentView` object that is abstracted by the current object.
Availability

  HTML DOM Level 2|W3C

## Functions

Method | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
static getComputedStyle(Element elt, String pseudoElt) : CSSStyleDeclaration Computes style information and returns the CSSStyleDeclaration for the specified document Element. | Show Details | no | 1.0+ | 6.0+ | 8.0+ | no

Parameters

Element | elt | Document element to get the style information for.
String | pseudoElt | CSS pseudoelement.

Returns

CSSStyleDeclaration |

  For examples, see the quirksmode test page:

  http://www.quirksmode.org/dom/tests/style.html

See Also

  CSS2Properties|CSSStyleDeclaration|HTMLElement.style

Availability

  HTML DOM Level 2

## Remarks

All other views derive from the `AbstractView` interface.

## References

Document.defaultView

## Availability

HTML DOM Level 2|W3C

text_javascript aptana_docs